package com.chenyang.nse.bussiness.entity.vo.dataproject;

public class TCoreSensitiveregexVO {
   private String id;
   private String dataarea_id;
   private String dataarea;
   private String ruleid;
   private String name;
   private String mappletname;
   private String mappletname2;
   private String mappletname3;
   private String subjectarea;
   private String subjectarea2;
   private String subjectarea3;
   private String ruledemo;
   private String note;
   private String defaulttype;
   private String defaultrule;

   public String getDefaultrule() {
      return this.defaultrule;
   }

   public void setDefaultrule(String defaultrule) {
      this.defaultrule = defaultrule;
   }

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getMappletname() {
      return this.mappletname;
   }

   public void setMappletname(String mappletname) {
      this.mappletname = mappletname;
   }

   public String getMappletname2() {
      return this.mappletname2;
   }

   public void setMappletname2(String mappletname2) {
      this.mappletname2 = mappletname2;
   }

   public String getMappletname3() {
      return this.mappletname3;
   }

   public void setMappletname3(String mappletname3) {
      this.mappletname3 = mappletname3;
   }

   public String getSubjectarea() {
      return this.subjectarea;
   }

   public void setSubjectarea(String subjectarea) {
      this.subjectarea = subjectarea;
   }

   public String getSubjectarea2() {
      return this.subjectarea2;
   }

   public void setSubjectarea2(String subjectarea2) {
      this.subjectarea2 = subjectarea2;
   }

   public String getSubjectarea3() {
      return this.subjectarea3;
   }

   public void setSubjectarea3(String subjectarea3) {
      this.subjectarea3 = subjectarea3;
   }

   public String getRuledemo() {
      return this.ruledemo;
   }

   public void setRuledemo(String ruledemo) {
      this.ruledemo = ruledemo;
   }

   public String getDefaulttype() {
      return this.defaulttype;
   }

   public void setDefaulttype(String defaulttype) {
      this.defaulttype = defaulttype;
   }
}
